[NumPy-Tickets] [NumPy] #1749: SOABI-problem with external libraries and python3.2

NumPy Trac numpy-tickets@scipy....
Wed Jun 22 15:40:58 CDT 2011


#1749: SOABI-problem with external libraries and python3.2
------------------------------+---------------------------------------------
  Reporter:  don.fanucci      |       Owner:  cdavid  
      Type:  defect           |      Status:  reopened
  Priority:  normal           |   Milestone:  1.6.1   
 Component:  numpy.distutils  |     Version:  1.6.0   
Resolution:                   |    Keywords:          
------------------------------+---------------------------------------------

Comment(by rgommers):

 I don't really understand why you're so attached to PEP 3149.  This was a
 backwards-incompatible change made in Python, without this issue being
 discussed at all.  If we have to pick a default, the one that worked
 everywhere until Python 3.2 ('.so') is simply better than ('.cpython-
 32mu.so').  It's nice that this PEP made the life of Debian packagers
 easier, but other than that it creates more problems than it solves.

 I'll send a pull request for my changes so far. If they work on your
 system I think it's problem solved.

-- 
Ticket URL: <http://projects.scipy.org/numpy/ticket/1749#comment:8>
NumPy <http://projects.scipy.org/numpy>
My example project


More information about the NumPy-Tickets mailing list